import { getClassList } from '@/api/base'

interface ClassesRequestParams {
  id?: string
  name?: string
  page?: number
  limit?: number
  project_prefix_arr?: string[]
}

export function useClasses(params?: ClassesRequestParams) {
  const classesList = ref([])
  params = Object.assign({ limit: 100 }, params)
  getClassList(params).then(res => {
    classesList.value = res.data.data
  })
  return { classesList }
}
