import httpRequest from '@/utils/axios'

// 获取岗位列表
export function getJobList(params?: {
  page?: number
  limit?: number
  name?: string
  type?: number
  education?: number
  work_locations?: string
  company_name?: string
}) {
  return httpRequest.get('/api/hr/api/v1/positions', { params })
}

// 获取岗位详情
export function getJob(params: { id: string }) {
  return httpRequest.get(`/api/hr/api/v1/position/${params.id}/detail`, { params })
}

// 投递简历
export function submitResume(data: { id: string; resume: string }) {
  return httpRequest.post(`/api/hr/api/v1/position/${data.id}/deliver`, data)
}
